package com.prolog.cs.biz.inbound.dto.rcv;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 完成上架任务类
 * 
 * @author Xiong
 *
 */
@ApiModel
public class CompleteInstockTaskDTO implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1354226377760170819L;
	/**
	 * 任务id
	 */
	@ApiModelProperty(value = "任务id")
	private String taskId;
	/**
	 * 货位id/code
	 */
	@ApiModelProperty(value = "货位id")
	private String locatorId;
	/**
	 * 任务状态
	 */
	@ApiModelProperty(value = "任务状态")
	private String status;
	/**
	 * 上架数量(最小单位)
	 */
	@ApiModelProperty(value = "上架数量")
	private BigDecimal quantity;

	// 任务包id
	@ApiModelProperty(value = " 任务包id")
	private String upperSystemTaskId;

	public String getUpperSystemTaskId() {
		return upperSystemTaskId;
	}

	public void setUpperSystemTaskId(String upperSystemTaskId) {
		this.upperSystemTaskId = upperSystemTaskId;
	}

	public String getTaskId() {
		return taskId;
	}

	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}

	public String getLocatorId() {
		return locatorId;
	}

	public void setLocatorId(String locatorId) {
		this.locatorId = locatorId;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public BigDecimal getQuantity() {
		return quantity;
	}

	public void setQuantity(BigDecimal quantity) {
		this.quantity = quantity;
	}

}
